function C = latexonerow(THIS,IROW,TIME,DATA,MARK,TEXT)
% LATEXONEROW  [Not a public function] LaTeX code for one table band row.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

br = sprintf('\n');

C = latexonerow@report.series(THIS, ...
    IROW,TIME,DATA(:,1),MARK,TEXT);

lowm = THIS.options.low;
highm = THIS.options.high;
if ~isempty(MARK)
    lowm = [MARK,'--',lowm];
    highm = [MARK,'--',highm];
end
lowst = latex.stringsubs(lowm);
highst = latex.stringsubs(highm);
C = [C,br,...
    '& & {',THIS.options.bandtypeface,'{',lowst,'}}', ...
    latexdata(THIS,IROW,TIME,DATA(:,2), ...
    THIS.options.bandtypeface,lowm,TEXT), ...
    '\\',br,...
    '& & {',THIS.options.bandtypeface,'{',highst,'}}', ...
    latexdata(THIS,IROW,TIME,DATA(:,3), ...
    THIS.options.bandtypeface,highm,TEXT), ...
    '\\'];

end
